JUJU-DEPLOYER(1)

NAME
juju-deployer - deploy complex service stacks with juju

DESCRIPTION
usage: juju-deployer [-h] [-c CONFIGS] [-d] [-L] [-u] [-l] [-D] [-T]

    [-t TIMEOUT] [-f FIND_SERVICE] [-b] [-s DEPLOY_DELAY] [-e JUJU_ENV] [-o OVERRIDES] [-v] [-W] [-r RETRY_COUNT] [--diff] [-w REL_WAIT] [deployment]

  positional arguments:

    deployment

  optional arguments:

-h, --help
    show this help message and exit

-c CONFIGS, --config CONFIGS
    File containing deployment(s) json config. This option can be repeated, with later files overriding values in earlier ones.

-d, --debug
    Enable debugging to stdout

-L, --local-mods
    Disallow deployment of locally-modified charms

-u, --update-charms
    Update existing charm branches

-l, --ls
    List available deployments

-D, --destroy-services
    Destroy all services (do not terminate machines)

-T, --terminate-machines
    Terminate all machines but the bootstrap node. Destroy any services that exist on each

-t TIMEOUT, --timeout TIMEOUT
    Timeout (sec) for entire deployment (45min default)

-f FIND_SERVICE, --find-service FIND_SERVICE
    Find hostname from first unit of a specific service.

-b, --branch-only
    Update vcs branches and exit.

-s DEPLOY_DELAY, --deploy-delay DEPLOY_DELAY
    Time in seconds to sleep between 'deploy' commands, to allow machine provider to process requests. On terminate machines this also signals waiting for machine removal.

-e JUJU_ENV, --environment JUJU_ENV
    Deploy to a specific Juju environment.

-o OVERRIDES, --override OVERRIDES
    Override *all* config options of the same name across all services. Input as key=value.

-v, --verbose
    Verbose output

-W, --watch
    Watch environment changes on console

-r RETRY_COUNT, --retry RETRY_COUNT
    Resolve unit errors via retry. Either standalone or in a deployment

--diff
    Resolve unit errors via retry. Either standalone or in a deployment

-w REL_WAIT, --relation-wait REL_WAIT
    Number of seconds to wait before checking for relation errors after all relations have been added and subordinates started. (default: 60)